This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 14:48
Elapsed6m49s
Revision
Builder7fbbf43f-735e-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/61fc4607-418f-46aa-8a37-5ca59e2f7f14/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/61fc4607-418f-46aa-8a37-5ca59e2f7f14/targets/test
infra-commit6fcea704c

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 14:48:09.994] process 29 exited with code 0 after 0.0m
I0331 14:48:09.995] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 14:48:09.995] Root: /workspace
I0331 14:48:09.995] cd to /workspace
I0331 14:48:09.996] Configure environment...
I0331 14:48:09.996] Call:  git show -s --format=format:%ct HEAD
W0331 14:48:10.001] fatal: not a git repository (or any of the parent directories): .git
I0331 14:48:10.002] process 42 exited with code 128 after 0.0m
W0331 14:48:10.002] Unable to print commit date for HEAD
I0331 14:48:10.002] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 14:48:10.515] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 14:48:11.421] process 43 exited with code 0 after 0.0m
I0331 14:48:11.421] Call:  gcloud config get-value account
I0331 14:48:12.319] process 56 exited with code 0 after 0.0m
I0331 14:48:12.319] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 14:48:12.320] Start 1244999782162763776 at ...
I0331 14:48:12.322] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_az_mXT gs://kubernetes-jenkins/logs/metrics-kettle/1244999782162763776/started.json
I0331 14:48:14.910] process 69 exited with code 0 after 0.0m
I0331 14:48:14.911] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0331 14:48:14.940] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0331 14:54:49.163] ERROR: table k8s-gubernator:build.all is 7.8 hours old. Max allowed: 6 hours.
I0331 14:54:49.164] ERROR: table k8s-gubernator:build.week is 8.1 hours old. Max allowed: 6 hours.
I0331 14:54:49.164] ERROR: table k8s-gubernator:build.day is 7.6 hours old. Max allowed: 6 hours.
I0331 14:54:49.164] Collected data:
I0331 14:54:49.164] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0331 14:54:49.164] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0331 14:54:49.165] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0331 14:54:49.165] 
W0331 14:54:49.246] Traceback (most recent call last):
... skipping 22 lines ...
W0331 14:54:49.250]     self.send(msg)
W0331 14:54:49.250]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 14:54:49.250]     self.connect()
W0331 14:54:49.250]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 14:54:49.250]     conn = self._new_conn()
W0331 14:54:49.251]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 14:54:49.251]     self, "Failed to establish a new connection: %s" % e
W0331 14:54:49.251] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f46c2445358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 14:54:49.251] 
W0331 14:54:49.251] During handling of the above exception, another exception occurred:
W0331 14:54:49.251] 
W0331 14:54:49.251] Traceback (most recent call last):
W0331 14:54:49.252]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 14:54:49.252]     timeout=timeout
W0331 14:54:49.252]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 14:54:49.252]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 14:54:49.252]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 14:54:49.252]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 14:54:49.253] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f46c2445358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 14:54:49.253] 
W0331 14:54:49.253] During handling of the above exception, another exception occurred:
W0331 14:54:49.253] 
W0331 14:54:49.253] Traceback (most recent call last):
W0331 14:54:49.253]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 14:54:49.253]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 14:54:49.256]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 14:54:49.256]     resp = self.send(prep, **send_kwargs)
W0331 14:54:49.256]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 14:54:49.256]     r = adapter.send(request, **kwargs)
W0331 14:54:49.256]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 14:54:49.256]     raise ConnectionError(e, request=request)
W0331 14:54:49.257] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f46c2445358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 14:54:49.257] Traceback (most recent call last):
W0331 14:54:49.257]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 14:54:49.257]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 14:54:49.257]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 14:54:49.257]     check(*cmd)
W0331 14:54:49.258]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 14:54:49.258]     subprocess.check_call(cmd)
W0331 14:54:49.258]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 14:54:49.258]     raise CalledProcessError(retcode, cmd)
W0331 14:54:49.258] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 14:54:49.258] Command failed
I0331 14:54:49.259] process 251 exited with code 1 after 6.6m
E0331 14:54:49.259] FAIL: metrics-kettle
I0331 14:54:49.259] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 14:54:49.756] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 14:54:50.382] process 255 exited with code 0 after 0.0m
I0331 14:54:50.382] Call:  gcloud config get-value account
I0331 14:54:51.288] process 267 exited with code 0 after 0.0m
I0331 14:54:51.289] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 14:54:51.289] Upload result and artifacts...
I0331 14:54:51.289] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1244999782162763776
W0331 14:54:51.290] Missing local artifacts : /workspace/_artifacts
W0331 14:54:51.290] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 14:54:51.290] metadata not found or invalid, init with empty metadata
I0331 14:54:51.290] Call:  git rev-parse HEAD
W0331 14:54:51.295] fatal: not a git repository (or any of the parent directories): .git
E0331 14:54:51.295] Command failed
I0331 14:54:51.296] process 280 exited with code 128 after 0.0m
I0331 14:54:51.296] Call:  git rev-parse HEAD
I0331 14:54:51.301] process 281 exited with code 0 after 0.0m
I0331 14:54:51.302] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 14:54:52.935] process 282 exited with code 0 after 0.0m
I0331 14:54:52.936] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585662815770431'
... skipping 8 lines ...